#include <stdio.h>



typedef struct student {
	char ime[20];
	int brojPolozenih;
	double prosek;
} STUDENT;

typedef STUDENT nizStudenata[10];

void procitaj_txt1 () {
	FILE * datoteka;
	char znak;

	datoteka=fopen ("podaci.txt","r");

	if (datoteka==NULL) printf ("\nDatoteka ne postoji");
	else {
		printf ("\nDatoteka postoji\nSadrzaj datoteke:\n");
		

		while ((znak=fgetc(datoteka))!=EOF){
			printf ("%c",znak);
		}
		fclose (datoteka);
	}
}

void procitaj_txt2 () {
	FILE * datoteka;
	char s[1000];

	datoteka=fopen ("podaci.txt","r");

	if (datoteka==NULL) printf ("\nDatoteka ne postoji");
	else {
		printf ("\nDatoteka postoji\nSadrzaj datoteke:\n");
		
		while (fgets(s,1000,datoteka)!=NULL) {
			printf ("%s",s);
		}
		fclose (datoteka);
	}
}

void procitaj_txt3 () {
	FILE * datoteka;
	char s[1000];
	int broj1,broj2;

	datoteka=fopen ("podaci.txt","r");

	if (datoteka==NULL) printf ("\nDatoteka ne postoji");
	else {
		printf ("\nDatoteka postoji\nSadrzaj datoteke:\n");
		
		while (fscanf (datoteka,"%d %d\n",&broj1,&broj2)==2) {
			printf ("\n%d %d",broj1,broj2);
		}
		
		fclose (datoteka);
	}
}

void procitaj_txt4 () {
	FILE * datoteka;
	char s[1000];
	int broj1,broj2;

	datoteka=fopen ("podaci.txt","r");

	if (datoteka==NULL) printf ("\nDatoteka ne postoji");
	else {
		printf ("\nDatoteka postoji\nSadrzaj datoteke:\n");
		
		while (fgets (s,1000,datoteka)!=NULL) {
			fscanf(datoteka,"%d\n",&broj1);
			printf ("\n%s%5d",s,broj1);
		}
		
		fclose (datoteka);
	}
}

void procitaj_txt5 () {
	FILE * datoteka;
	char s[1000];
	int broj1,broj2;

	datoteka=fopen ("podaci.txt","r");

	if (datoteka==NULL) printf ("\nDatoteka ne postoji");
	else {
		printf ("\nDatoteka postoji\nSadrzaj datoteke:\n");
		
		while (fscanf(datoteka,"%d\n",&broj1)==1) {
			fgets (s,1000,datoteka);
			printf ("%d\t%s",broj1,s);
		}
		
		fclose (datoteka);
	}
}

void upisiUDatoteku () {

	FILE * datoteka;
	char ime[15],prezime[15],broj[15];
	

	datoteka=fopen ("podaci.txt","w");

	if (datoteka==NULL) printf ("\nDatoteka ne postoji");
	else {
		printf ("\nUnesite ime");
		fflush (stdin);
		gets (ime);
		fflush (stdin);

		printf ("\nUnesite prezime");
		fflush (stdin);
		gets (prezime);
		fflush (stdin);

		printf ("\nUnesite broj indeksa");
		fflush (stdin);
		gets (broj);
		fflush (stdin);

		fprintf (datoteka,"%s\t%s\n%s\n",ime,prezime,broj);

		fclose (datoteka);
	}
}

void upisiNbrojevaUBin (int n) {
	FILE * datoteka;
	int i,br;

	datoteka=fopen ("podaci.smr","wb");

	if (datoteka==NULL) {
		printf ("\nGreska");
		return;
	}
	else {
		for (i=0;i<n;i++) {
			printf ("\nUnesite broj:");
			scanf ("%d",&br);
			fwrite (&br,sizeof (int),1,datoteka);
		}
	}
	fclose (datoteka);

}

void procitajBin () {
	FILE * datoteka;
	int br;

	datoteka=fopen ("podaci.smr","rb");

	if (datoteka==NULL) {
		printf ("\nGreska");
		return;
	} else {
		printf ("\nSadrzaj datoteke:\n");
		while (fread (&br,sizeof (int),1,datoteka)!=0) {
			printf ("\n%d",br);
		
		}
		fclose (datoteka);
	}
}

int vratiStudenta (nizStudenata x,int nx,char ime[50]) {
	int i;

	for (i=0;i<nx;i++) {
		if (strcmp (x[i].ime,ime)==0) //0 - stringovi jednaki
			return i;
	}
	return -1;
}

void prebaciUNiz (nizStudenata x,int* nx) {
	FILE * datoteka;
	char ime[50],predmet[50];
	int ocena,brojOcena,i;

	datoteka=fopen("dat.txt","r");

	if (datoteka==NULL) {
		printf ("greska");
		return;
	} else {
		while (fgets (ime,50,datoteka)!=NULL) {
			fgets (predmet,50,datoteka);
			fscanf (datoteka,"%d\n",&ocena);
			//printf ("\n%s\t%s\t%d",ime,predmet,ocena);
			i=vratiStudenta (x,*nx,ime);
			if (i==-1) printf ("\n%s ne postoji jos u nizu",ime);
			else {
				printf ("\n%s postoji jos u nizu",ime);
			}
		}
		fclose (datoteka);
	}
}


void rangLista (nizStudenata x,int nx) {

}

int main (void) {
	nizStudenata x;
	int nx=0;

//	procitaj_txt1 ();
//	procitaj_txt2 ();
//	procitaj_txt3 ();
//	procitaj_txt4 ();
//	procitaj_txt5 ();
//	upisiUDatoteku ();

//	upisiNbrojevaUBin (5);
//	procitajBin ();

	prebaciUNiz (x,&nx);
	rangLista (x,nx);

	return 0;
}